uk.ac.starlink.feather

## Enum VariableStarColumnWriter.PointerSize

- java.lang.Object
- - java.lang.Enum<VariableStarColumnWriter.PointerSize>
  - - uk.ac.starlink.feather.VariableStarColumnWriter.PointerSize

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VariableStarColumnWriter.PointerSize>
  Enclosing class:
    VariableStarColumnWriter

      public static enum VariableStarColumnWriter.PointerSize
      extends java.lang.Enum<VariableStarColumnWriter.PointerSize>

  Enumeration for pointer size.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `I32` Short (32-bit) pointer size.
    `I64` Long (64-bit) pointer size.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VariableStarColumnWriter.PointerSize` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VariableStarColumnWriter.PointerSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### I32

          public static final VariableStarColumnWriter.PointerSize I32

      Short (32-bit) pointer size.

    - #### I64

          public static final VariableStarColumnWriter.PointerSize I64

      Long (64-bit) pointer size.

  - ### Method Detail

    - #### values

          public static VariableStarColumnWriter.PointerSize[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VariableStarColumnWriter.PointerSize c : VariableStarColumnWriter.PointerSize.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VariableStarColumnWriter.PointerSize valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null